Skip to main content
POST
/
api
/
v1
/
hub
/
{hub_id}
/
checkout
Start checkout (paid or free)
curl --request POST \
  --url https://api.member.dev/api/v1/hub/{hub_id}/checkout \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "price_id": "<string>",
      "cancel_url": "",
      "coupon_code": "<string>",
      "email": "<string>",
      "success_url": ""
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "order_id": "<string>",
      "status": "<string>",
      "session_url": "<string>"
    },
    "id": "<string>",
    "type": "checkout_sessions"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

hub_id
string
required

Body

application/vnd.api+json
data
CheckoutSessionRequestResource · object
required

Response

Successful Response

data
CheckoutSessionResponseResource · object
required